@import './styles/vars.module.scss';

#topBar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 80vw;
  height: 100px;
  margin: 0 auto;
  border-bottom: 1px solid darken(#fff, 2);
  font-family: Comfortaa, sans-serif;
  .left,
  .right,
  .middle {
    flex: 1;
    padding: 0 20px;
    li {
      a {
        color: darken(#fff, 20);
        &.active {
          color: darken(#fff, 50);
        }
      }
    }
  }
  .right {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    li {
      padding: 0 10px;
    }
  }
}

#brand {
  display: flex;
  flex-direction: row;
  align-items: center;
  cursor: pointer;
  &-logo {
    width: 50px;
    height: 50px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }
  &-name {
    font-weight: bold;
    color: darken(#fff, 50);
  }
}

@media screen and (max-width: 480px) {
  #topBar {
    width: 100vw;
    height: 70px;
    .left{
      padding: 0;
    }
    .right{
      padding: 0;
    }
  }
}
